import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  _count: SortOrderSchema.optional()
}).strict();
export const CloudFolderOrderByRelationAggregateInputObjectSchema: z.ZodType<Prisma.CloudFolderOrderByRelationAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderOrderByRelationAggregateInput>;
export const CloudFolderOrderByRelationAggregateInputObjectZodSchema = makeSchema();
